<template>
  <div id="root">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
      <div class="container">
        <div class="brand">
          <div class="navbar-brand" :style="brandLogo"></div>
          <div class="navbar-brand-name">Queueing System</div>
        </div>
        <div>
          <ul class="navbar-nav ml-auto">
            <router-link tag="li"
                         to="/registration">
              <div class="nav-link">Registration</div>
            </router-link>
            <router-link tag="li"
                         to="/queue">
              <div class="nav-link">Queue</div>
            </router-link>
            <router-link tag="li"
                         to="/receptionist">
              <div class="nav-link">Receptionist</div>
            </router-link>
          </ul>
        </div>
      </div>
    </nav>


    <div class="center-div">
      <router-view></router-view>
    </div>

  </div>
</template>

<script>
  import BrandLogo from './assets/leapfroggr.png'

  export default {
    name: 'app',
    computed: {
      brandLogo() {
        return `backgroundImage: url(${BrandLogo})`;
      }
    }
  }
</script>

<style>
  nav {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: .5rem 1rem;
    user-select: none;
  }

  .brand {
    display: flex;
    align-items: center;
  }

  nav .navbar-brand {
    color: #fff;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 160px 70px;
    min-width: 110px;
    min-height: 40px;
    margin-right: 5px;
  }

  .navbar-brand, .nav-link, .brand {
    cursor: pointer;
  }

  .navbar-brand-name {
    display: flex;
    color: #fff;
    font-size: 18px;
    font-weight: 400;
    height: 40px;
    align-items: center;
  }

  .center-div {
    margin: 5vh auto;
    width: 80%;
    background-color: #efefef;
    overflow-x: hidden;
    overflow-y: scroll;
    height: 75vh;
  }

  .router-link-active .nav-link {
    color: white !important;
    font-weight: 400;
  }

  ::-webkit-scrollbar {
    width: 8px;
    height: 8px;
  }
</style>
